nfs-utils: Include legacy or TI-RPC headers, not both
[nfs-utils.git] / aclocal / librpcsecgss.m4
1 dnl Checks for rpcsecgss library and headers
2 dnl KRB5LIBS must be set before this function is invoked.
3 dnl
4 AC_DEFUN([AC_LIBRPCSECGSS], [
5
6   dnl libtirpc provides an rpcsecgss API
7   if test "$enable_tirpc" = no; then
8
9     dnl Check for library, but do not add -lrpcsecgss to LIBS
10     AC_CHECK_LIB([rpcsecgss], [authgss_create_default], [librpcsecgss=1],
11                  [AC_MSG_ERROR([librpcsecgss not found.])])
12
13     AC_CHECK_LIB([rpcsecgss], [authgss_set_debug_level],
14                  [AC_DEFINE([HAVE_AUTHGSS_SET_DEBUG_LEVEL], 1,
15                  [Define to 1 if you have the `authgss_set_debug_level' function.])])
16
17   fi
18
19 ])dnl